claw::net Namespace Reference

Network communications. More...

## Classes

class | basic_socket
| Common interface for claw::net::basic_socketbuf and claw::net::socket_server. More...
class | basic_socketbuf
| Socket buffer to be used with std::basic_stream, for easy socket reading and writing. More...
class | basic_isocket_stream
| A class to use any socket as a classic standard input stream. More...
class | basic_osocket_stream
| A class to use any socket as a classic standard output stream. More...
class | socket_server
| Class used to receive incoming connections. More...
class | basic_socket_stream
| A class to use any socket as a classic standard stream. More...

## Typedefs

typedef basic_isocket_stream< char > | isocket_stream
| Implementation of the basic_isocket_stream for the char type.
typedef basic_isocket_stream< wchar_t > | wisocket_stream
| Implementation of the basic_isocket_stream for the wide characters.
typedef basic_osocket_stream< char > | osocket_stream
| Implementation of the basic_osocket_stream for the char type.
typedef basic_osocket_stream< wchar_t > | wosocket_stream
| Implementation of the basic_osocket_stream for the wide characters.
typedef basic_socket_stream< char > | socket_stream
| Implementation of the basic_socket_stream for the char type.
typedef basic_socket_stream< wchar_t > | wsocket_stream
| Implementation of the basic_socket_stream for the wide characters.

## Detailed Description

Network communications.

## Typedef Documentation

## isocket_stream

typedef basic_isocket_stream<char> claw::net::isocket_stream

Implementation of the basic_isocket_stream for the char type.

Definition at line 91 of file isocket_stream.hpp.

## osocket_stream

typedef basic_osocket_stream<char> claw::net::osocket_stream

Implementation of the basic_osocket_stream for the char type.

Definition at line 91 of file osocket_stream.hpp.

## socket_stream

typedef basic_socket_stream<char> claw::net::socket_stream

Implementation of the basic_socket_stream for the char type.

Definition at line 87 of file socket_stream.hpp.

## wisocket_stream

typedef basic_isocket_stream<wchar_t> claw::net::wisocket_stream

Implementation of the basic_isocket_stream for the wide characters.

Definition at line 95 of file isocket_stream.hpp.

## wosocket_stream

typedef basic_osocket_stream<wchar_t> claw::net::wosocket_stream

Implementation of the basic_osocket_stream for the wide characters.

Definition at line 95 of file osocket_stream.hpp.

## wsocket_stream

typedef basic_socket_stream<wchar_t> claw::net::wsocket_stream

Implementation of the basic_socket_stream for the wide characters.

Definition at line 91 of file socket_stream.hpp.